--- title: "View training" slug: "ai-application-service-aitems-service-trainread" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-service-trainread" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View training Available in Classic and VPC Get training information for a specific service among the created services. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /services/{serviceId}/trains/{trainType}/versions/{version} | ### Request headers For headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aiservices-aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Service ID - See [Get service list](/docs/en/aiservices-aitems-service-list). | | `trainType` | String | Required | Post-training recommendation type - `personalRecommend` \| `relatedItem` \| `pop` - `personalRecommend`: personalized recommendations based on customer service users' past history - `relatedItem`: personalized recommendations based on an item's association history - `pop`: top item recommendations by rank | | `version` | String | Required | Training version - See [Get training list](/docs/en/aiservices-aitems-service-trainlist). | ### Request example The following is a sample request. ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/services/6wxgu******/trains/pop/versions/maqll******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | - | Service ID | | `type` | String | - | Training request type - `personalRecommend` \| `relatedItem` \| `pop` - `personalRecommend`: personalized recommendations based on customer service users' past history - `relatedItem`: personalized recommendations based on an item's association history - `pop`: top item recommendations by rank | | `hpConfig` | Object | - | Hyperparameter optimization (HPO) settings information | | `hpConfig.is_enabled` | Boolean | - | HPO configuration status - `true` \| `false` - `true`: HPO configured, optimal training models can be implemented - `false`: HPO not configured, trained by AiTEMS' own internal algorithms | | `hpConfig.{option}` | String, Long, Boolean | - | Configured HPO value - See [HPO](/docs/en/aiservices-aitems-service-learning#HPO) for value details | | `version` | String | - | Training version | | `description` | String | - | Training description | | `status` | String | - | Training status - `ready` \| `learning` \| `completed` \| `waiting` \| `requesting` \| `requestFailed` \| `refinedFailed` \| `stopping` \ `learningFailed` - `ready`: ready (training available) - `learning`: training in progress - `completed`: training completed - `waiting`: training execution pending - `requesting`: requesting training - `requestFailed`: training request failed - `refinedFailed`: data refinement failed - `stopping`: stopping - `learningFailed`: training failed | | `createdDate` | String | - | Service creation date and time | | `inference` | Boolean | - | Inference result status - `true` \| `false` - `true`: result found - `false`: no result found | ### Response status codes For response status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aiservices-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "serviceId": "6wxgu******", "type": "pop", "hpConfig": { "is_enabled": false }, "version": "maqll******", "status": "learningFailed", "createdDate": "2024-07-30T11:25:36.558", "inference": true } ```